NX Open C++ Reference Guide
|
Represents a simulation object group in a solution or solution step. More...
Public Member Functions | |
void | Add (NXOpen::CAE::SimSimulationObject *tSimulationObject) |
Adds a simulation object to this group Created in NX9.0.0. | |
std::vector < NXOpen::CAE::SimSimulationObject * > | GetSimulationObjects () |
Gets the simulation objects in this group. | |
void | Remove (NXOpen::CAE::SimSimulationObject *pSimulationObject) |
Removes a simulation object from this group Created in NX9.0.0. | |
void | RemoveAll () |
Removes all simulation objects from this group Created in NX9.0.0. | |
![]() | |
NXOpen::CAE::SimGroupContainer * | GroupContainer () |
Returns the solution or solution step owning this BC group Created in NX9.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a simulation object group in a solution or solution step.
Not support KF.
Created in NX9.0.0.
void NXOpen::CAE::SimSimulationObjectGroup::Add | ( | NXOpen::CAE::SimSimulationObject * | tSimulationObject | ) |
Adds a simulation object to this group
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
tSimulationObject | the simulation object to be added |
std::vector<NXOpen::CAE::SimSimulationObject *> NXOpen::CAE::SimSimulationObjectGroup::GetSimulationObjects | ( | ) |
Gets the simulation objects in this group.
void NXOpen::CAE::SimSimulationObjectGroup::Remove | ( | NXOpen::CAE::SimSimulationObject * | pSimulationObject | ) |
Removes a simulation object from this group
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
pSimulationObject | the simulation object to be removed |
void NXOpen::CAE::SimSimulationObjectGroup::RemoveAll | ( | ) |
Removes all simulation objects from this group
Created in NX9.0.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")